Bug 18429 - Receiving an item should update the datelastseen
Summary: Receiving an item should update the datelastseen
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-13 13:54 UTC by Nick Clemens
Modified: 2017-05-10 10:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18429 - Receiving an item should update the datelastseen (1.07 KB, patch)
2017-04-13 13:58 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18429 - Receiving an item should update the datelastseen (1.24 KB, patch)
2017-04-13 20:22 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18429 - Receiving an item should update the datelastseen (1.33 KB, patch)
2017-04-13 21:11 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 18429 - Receiving an item should update the datelastseen (1.42 KB, patch)
2017-04-19 11:22 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-04-13 13:54:30 UTC

    
Comment 1 Nick Clemens 2017-04-13 13:58:38 UTC
Created attachment 62148 [details] [review]
Bug 18429 - Receiving an item should update the datelastseen

To test:
0 - Ensure AcqCreateItem is set to 'placing an order'
1 - Order some items, note entrydate and datelastseen match
2 - Alter those dates to be earlier than today (or wait some days)
3 - Recieve the item and note datelast seen not updated
4 - Apply patch
5 - Repeat 1-3
6 - Date last seen should be updated.
Comment 2 Marc Véron 2017-04-13 20:22:02 UTC
Created attachment 62153 [details] [review]
Bug 18429 - Receiving an item should update the datelastseen

To test:
0 - Ensure AcqCreateItem is set to 'placing an order'
1 - Order some items, note entrydate and datelastseen match
2 - Alter those dates to be earlier than today (or wait some days)
3 - Recieve the item and note datelast seen not updated
4 - Apply patch
5 - Repeat 1-3
6 - Date last seen should be updated.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Christopher Brannon 2017-04-13 21:11:14 UTC
Created attachment 62154 [details] [review]
[SIGNED OFF] Bug 18429 - Receiving an item should update the datelastseen

To test:
0 - Ensure AcqCreateItem is set to 'placing an order'
1 - Order some items, note entrydate and datelastseen match
2 - Alter those dates to be earlier than today (or wait some days)
3 - Recieve the item and note datelast seen not updated
4 - Apply patch
5 - Repeat 1-3
6 - Date last seen should be updated.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Works as expected.
Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Comment 4 Marcel de Rooy 2017-04-14 11:06:13 UTC
Shouldn't it be today instead of date received ?
Comment 5 Nick Clemens 2017-04-14 12:30:58 UTC
Hmm..

Date received defaults to today - I would say if you are changing that (receiving on past days) you might not physically have the item in hand so are confirming you saw it last on the day you received it?

I would think it should be this way, but am open to changing it
Comment 6 Marcel de Rooy 2017-04-19 11:22:02 UTC
Created attachment 62360 [details] [review]
Bug 18429 - Receiving an item should update the datelastseen

To test:
0 - Ensure AcqCreateItem is set to 'placing an order'
1 - Order some items, note entrydate and datelastseen match
2 - Alter those dates to be earlier than today (or wait some days)
3 - Recieve the item and note datelast seen not updated
4 - Apply patch
5 - Repeat 1-3
6 - Date last seen should be updated.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Works as expected.
Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2017-04-19 11:22:30 UTC
(In reply to Nick Clemens from comment #5)
> Hmm..
> 
> Date received defaults to today - I would say if you are changing that
> (receiving on past days) you might not physically have the item in hand so
> are confirming you saw it last on the day you received it?
> 
> I would think it should be this way, but am open to changing it

Sounds reasonable enough.
Comment 8 Kyle M Hall 2017-04-21 14:55:56 UTC
Pushed to master for 17.05, thanks Nick!
Comment 9 Katrin Fischer 2017-04-21 22:57:57 UTC
This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 10 Mason James 2017-05-03 04:41:42 UTC
Pushed to 16.05.x, for 16.05.12 release
Comment 11 Julian Maurice 2017-05-10 10:04:15 UTC
Pushed to 3.22.x for 3.22.21